Subject: Compile error due to po/fr.po on old gettext in v2.21.0

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 25 Feb 2019 21:19:53 +0100

On a NetBSD test box I have with msgfmt 0.14.4 v2.21.0 fails to compile.

I didn't spot this in rc2 because b3225a4183 ("l10n: fr.po v2.21.0 rnd
2", 2019-02-13) along with the rest of i18n updates gets pulled in after
all the RCs.

The error s:

    $ msgfmt --version; msgfmt -o fr.mo po/fr.po
    msgfmt (GNU gettext-tools) 0.14.4
    Copyright (C) 1995-1998, 2000-2005 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    Written by Ulrich Drepper.
    po/fr.po:22482:4: parse error
    po/fr.po:22482: missing `msgstr' section
    po/fr.po:22487:4: parse error
    po/fr.po:22487: missing `msgstr' section
    po/fr.po:22492:4: parse error
    po/fr.po:22492: missing `msgstr' section
    po/fr.po:22497:4: parse error
    po/fr.po:22497: missing `msgstr' section
    po/fr.po:22502:4: parse error
    po/fr.po:22502: missing `msgstr' section
    po/fr.po:22507:4: parse error
    po/fr.po:22507: missing `msgstr' section
    po/fr.po:22512:4: parse error
    po/fr.po:22512: missing `msgstr' section
    po/fr.po:22517:4: parse error
    po/fr.po:22517: missing `msgstr' section
    po/fr.po:22522:4: parse error
    po/fr.po:22522: missing `msgstr' section
    po/fr.po:22527:4: parse error
    po/fr.po:22527: missing `msgstr' section
    msgfmt: too many errors, aborting

It's "fixed" by:

    perl -pi -e 's/^#~\|.*\n//' po/fr.po

I.e. this is because of the comments being parsed (fuzzy comments).

The 0.14.4 gettext release was back in 2005, so presumably this is due
to some GPLv3 allergy of NetBSD's. The OS version itself is 7.1,
released a couple of years ago.